# std::_Sp_counted_ptr_inplace< _Tp, _Alloc, _Lp > Class Template Reference

Inheritance diagram for std::_Sp_counted_ptr_inplace< _Tp, _Alloc, _Lp >:

List of all members.

## Detailed Description

### template<typename _Tp, typename _Alloc, _Lock_policy _Lp>
class std::_Sp_counted_ptr_inplace< _Tp, _Alloc, _Lp >

Definition at line 165 of file bits/boost_sp_shared_count.h.

## Public Member Functions

- void _M_add_ref_copy ()
- template<> void _M_add_ref_lock ()
- template<> void _M_add_ref_lock ()
- template<> void _M_add_ref_lock ()
- void _M_add_ref_lock ()
- virtual void _M_destroy ()
- virtual void _M_dispose ()
- virtual void * _M_get_deleter (const std::type_info &__ti)
- long _M_get_use_count () const
- void _M_release ()
- void _M_weak_add_ref ()
- void _M_weak_release ()
- template<typename... _Args> _Sp_counted_ptr_inplace (_Alloc __a, _Args &&...__args)
- _Sp_counted_ptr_inplace (_Alloc __a)

## Protected Types

- enum { _S_need_barriers }

## Protected Attributes

- _My_Deleter _M_del
- _Ptr _M_ptr

The documentation for this class was generated from the following file:

- bits/boost_sp_shared_count.h